Package com.independentsoft.office.word

# Class DocumentProtection

java.lang.Object
com.independentsoft.office.word.DocumentProtection

public class DocumentProtection extends Object
The Class DocumentProtection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentProtection()`
  Instantiates a new document protection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocumentProtection`
  `clone()`
  `String`
  `getAlgorithmExtensibilitySource()`
  Gets the algorithm extensibility source.
  `CryptographicAlgorithmClass`
  `getCryptographicAlgorithmClass()`
  Gets the cryptographic algorithm class.
  `String`
  `getCryptographicAlgorithmExtensibility()`
  Gets the cryptographic algorithm extensibility.
  `CryptographicAlgorithmType`
  `getCryptographicAlgorithmType()`
  Gets the cryptographic algorithm type.
  `int`
  `getCryptographicHashingAlgorithm()`
  Gets the cryptographic hashing algorithm.
  `String`
  `getCryptographicProvider()`
  Gets the cryptographic provider.
  `CryptographicProviderType`
  `getCryptographicProviderType()`
  Gets the cryptographic provider type.
  `String`
  `getCryptographicProviderTypeExtensibility()`
  Gets the cryptographic provider type extensibility.
  `String`
  `getCryptographicProviderTypeExtensibilitySource()`
  Gets the cryptographic provider type extensibility source.
  `ExtendedBoolean`
  `getEnforceDocumentProtectionSettings()`
  Gets the enforce document protection settings.
  `ExtendedBoolean`
  `getFormatting()`
  Gets the formatting.
  `int`
  `getIterationCount()`
  Gets the iteration count.
  `String`
  `getPasswordHash()`
  Gets the password hash.
  `DocumentProtectionType`
  `getProtectionType()`
  Gets the protection type.
  `String`
  `getSalt()`
  Gets the salt.
  `void`
  `setAlgorithmExtensibilitySource​(String algorithmExtensibilitySource)`
  Sets the algorithm extensibility source.
  `void`
  `setCryptographicAlgorithmClass​(CryptographicAlgorithmClass cryptographicAlgorithmClass)`
  Sets the cryptographic algorithm class.
  `void`
  `setCryptographicAlgorithmExtensibility​(String cryptographicAlgorithmExtensibility)`
  Sets the cryptographic algorithm extensibility.
  `void`
  `setCryptographicAlgorithmType​(CryptographicAlgorithmType cryptographicAlgorithmType)`
  Sets the cryptographic algorithm type.
  `void`
  `setCryptographicHashingAlgorithm​(int cryptographicHashingAlgorithm)`
  Sets the cryptographic hashing algorithm.
  `void`
  `setCryptographicProvider​(String cryptographicProvider)`
  Sets the cryptographic provider.
  `void`
  `setCryptographicProviderType​(CryptographicProviderType cryptographicProviderType)`
  Sets the cryptographic provider type.
  `void`
  `setCryptographicProviderTypeExtensibility​(String cryptographicProviderTypeExtensibility)`
  Sets the cryptographic provider type extensibility.
  `void`
  `setCryptographicProviderTypeExtensibilitySource​(String cryptographicProviderTypeExtensibilitySource)`
  Sets the cryptographic provider type extensibility source.
  `void`
  `setEnforceDocumentProtectionSettings​(ExtendedBoolean enforceDocumentProtectionSettings)`
  Sets the enforce document protection settings.
  `void`
  `setFormatting​(ExtendedBoolean formatting)`
  Sets the formatting.
  `void`
  `setIterationCount​(int iterationCount)`
  Sets the iteration count.
  `void`
  `setPasswordHash​(String passwordHash)`
  Sets the password hash.
  `void`
  `setProtectionType​(DocumentProtectionType protectionType)`
  Sets the protection type.
  `void`
  `setSalt​(String salt)`
  Sets the salt.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentProtection

    public DocumentProtection()
    Instantiates a new document protection.

- ## Method Details

  - ### clone

    public DocumentProtection clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCryptographicAlgorithmExtensibility

    public String getCryptographicAlgorithmExtensibility()
    Gets the cryptographic algorithm extensibility.
    Returns:
      the cryptographic algorithm extensibility

  - ### setCryptographicAlgorithmExtensibility

    public void setCryptographicAlgorithmExtensibility​(String cryptographicAlgorithmExtensibility)
    Sets the cryptographic algorithm extensibility.
    Parameters:
      `cryptographicAlgorithmExtensibility` - the new cryptographic algorithm extensibility

  - ### getAlgorithmExtensibilitySource

    public String getAlgorithmExtensibilitySource()
    Gets the algorithm extensibility source.
    Returns:
      the algorithm extensibility source

  - ### setAlgorithmExtensibilitySource

    public void setAlgorithmExtensibilitySource​(String algorithmExtensibilitySource)
    Sets the algorithm extensibility source.
    Parameters:
      `algorithmExtensibilitySource` - the new algorithm extensibility source

  - ### getCryptographicAlgorithmClass

    public CryptographicAlgorithmClass getCryptographicAlgorithmClass()
    Gets the cryptographic algorithm class.
    Returns:
      the cryptographic algorithm class

  - ### setCryptographicAlgorithmClass

    public void setCryptographicAlgorithmClass​(CryptographicAlgorithmClass cryptographicAlgorithmClass)
    Sets the cryptographic algorithm class.
    Parameters:
      `cryptographicAlgorithmClass` - the new cryptographic algorithm class

  - ### getCryptographicHashingAlgorithm

    public int getCryptographicHashingAlgorithm()
    Gets the cryptographic hashing algorithm.
    Returns:
      the cryptographic hashing algorithm

  - ### setCryptographicHashingAlgorithm

    public void setCryptographicHashingAlgorithm​(int cryptographicHashingAlgorithm)
    Sets the cryptographic hashing algorithm.
    Parameters:
      `cryptographicHashingAlgorithm` - the new cryptographic hashing algorithm

  - ### getCryptographicAlgorithmType

    public CryptographicAlgorithmType getCryptographicAlgorithmType()
    Gets the cryptographic algorithm type.
    Returns:
      the cryptographic algorithm type

  - ### setCryptographicAlgorithmType

    public void setCryptographicAlgorithmType​(CryptographicAlgorithmType cryptographicAlgorithmType)
    Sets the cryptographic algorithm type.
    Parameters:
      `cryptographicAlgorithmType` - the new cryptographic algorithm type

  - ### getCryptographicProvider

    public String getCryptographicProvider()
    Gets the cryptographic provider.
    Returns:
      the cryptographic provider

  - ### setCryptographicProvider

    public void setCryptographicProvider​(String cryptographicProvider)
    Sets the cryptographic provider.
    Parameters:
      `cryptographicProvider` - the new cryptographic provider

  - ### getCryptographicProviderType

    public CryptographicProviderType getCryptographicProviderType()
    Gets the cryptographic provider type.
    Returns:
      the cryptographic provider type

  - ### setCryptographicProviderType

    public void setCryptographicProviderType​(CryptographicProviderType cryptographicProviderType)
    Sets the cryptographic provider type.
    Parameters:
      `cryptographicProviderType` - the new cryptographic provider type

  - ### getCryptographicProviderTypeExtensibility

    public String getCryptographicProviderTypeExtensibility()
    Gets the cryptographic provider type extensibility.
    Returns:
      the cryptographic provider type extensibility

  - ### setCryptographicProviderTypeExtensibility

    public void setCryptographicProviderTypeExtensibility​(String cryptographicProviderTypeExtensibility)
    Sets the cryptographic provider type extensibility.
    Parameters:
      `cryptographicProviderTypeExtensibility` - the new cryptographic provider type extensibility

  - ### getCryptographicProviderTypeExtensibilitySource

    public String getCryptographicProviderTypeExtensibilitySource()
    Gets the cryptographic provider type extensibility source.
    Returns:
      the cryptographic provider type extensibility source

  - ### setCryptographicProviderTypeExtensibilitySource

    public void setCryptographicProviderTypeExtensibilitySource​(String cryptographicProviderTypeExtensibilitySource)
    Sets the cryptographic provider type extensibility source.
    Parameters:
      `cryptographicProviderTypeExtensibilitySource` - the new cryptographic provider type extensibility source

  - ### getIterationCount

    public int getIterationCount()
    Gets the iteration count.
    Returns:
      the iteration count

  - ### setIterationCount

    public void setIterationCount​(int iterationCount)
    Sets the iteration count.
    Parameters:
      `iterationCount` - the new iteration count

  - ### getProtectionType

    public DocumentProtectionType getProtectionType()
    Gets the protection type.
    Returns:
      the protection type

  - ### setProtectionType

    public void setProtectionType​(DocumentProtectionType protectionType)
    Sets the protection type.
    Parameters:
      `protectionType` - the new protection type

  - ### getEnforceDocumentProtectionSettings

    public ExtendedBoolean getEnforceDocumentProtectionSettings()
    Gets the enforce document protection settings.
    Returns:
      the enforce document protection settings

  - ### setEnforceDocumentProtectionSettings

    public void setEnforceDocumentProtectionSettings​(ExtendedBoolean enforceDocumentProtectionSettings)
    Sets the enforce document protection settings.
    Parameters:
      `enforceDocumentProtectionSettings` - the new enforce document protection settings

  - ### getFormatting

    public ExtendedBoolean getFormatting()
    Gets the formatting.
    Returns:
      the formatting

  - ### setFormatting

    public void setFormatting​(ExtendedBoolean formatting)
    Sets the formatting.
    Parameters:
      `formatting` - the new formatting

  - ### getPasswordHash

    public String getPasswordHash()
    Gets the password hash.
    Returns:
      the password hash

  - ### setPasswordHash

    public void setPasswordHash​(String passwordHash)
    Sets the password hash.
    Parameters:
      `passwordHash` - the new password hash

  - ### getSalt

    public String getSalt()
    Gets the salt.
    Returns:
      the salt

  - ### setSalt

    public void setSalt​(String salt)
    Sets the salt.
    Parameters:
      `salt` - the new salt